Skip to navigation

Security Advisory Important: spamassassin security update

Advisory: RHSA-2007:0075-2
Type: Security Advisory
Severity: Important
Issued on: 2007-03-13
Last updated on: 2007-03-14
Affected Products: Red Hat Enterprise Linux (v. 5 server)
Red Hat Enterprise Linux Desktop (v. 5 client)
CVEs (cve.mitre.org): CVE-2007-0451

Details

Updated spamassassin packages that fix a security issue are now available
for Red Hat Enterprise Linux 5.

This update has been rated as having important security impact by the Red
Hat Security Response Team.

SpamAssassin provides a way to reduce unsolicited commercial email (spam)
from incoming email.

A flaw was found in the way SpamAssassin processes HTML email containing
URIs. A carefully crafted mail message could cause SpamAssassin to consume
significant resources. If a number of these messages are sent, this could
lead to a denial of service, potentially delaying or preventing the
delivery of email. (CVE-2007-0451)

Users of SpamAssassin should upgrade to these updated packages which
contain version 3.1.8 which is not vulnerable to these issues.


Solution

Before applying this update, make sure that all previously-released
errata relevant to your system have been applied.

This update is available via Red Hat Network. Details on how to use
the Red Hat Network to apply this update are available at
http://kbase.redhat.com/faq/FAQ_58_10188

Updated packages

Red Hat Enterprise Linux (v. 5 server)

SRPMS:
spamassassin-3.1.8-2.el5.src.rpm
File outdated by:  RHBA-2013:1336
    MD5: 1b3d756e97bd37694b8682de4cf2437b
 
IA-32:
spamassassin-3.1.8-2.el5.i386.rpm
File outdated by:  RHBA-2013:1336
    MD5: 46f02b67cfc960bb5d870e53d2c160aa
 
IA-64:
spamassassin-3.1.8-2.el5.ia64.rpm
File outdated by:  RHBA-2013:1336
    MD5: 9c9c9f9d1b05c6f70210d94196661dba
 
PPC:
spamassassin-3.1.8-2.el5.ppc.rpm
File outdated by:  RHBA-2013:1336
    MD5: d77b85e1c132b88526210bc121e67642
 
s390x:
spamassassin-3.1.8-2.el5.s390x.rpm
File outdated by:  RHBA-2013:1336
    MD5: 2c98423a9762e50eb206daa59172b0e7
 
x86_64:
spamassassin-3.1.8-2.el5.x86_64.rpm
File outdated by:  RHBA-2013:1336
    MD5: 464cc3d1cf3bc0ab2707e2dcb3b250da
 
Red Hat Enterprise Linux Desktop (v. 5 client)

SRPMS:
spamassassin-3.1.8-2.el5.src.rpm
File outdated by:  RHBA-2013:1336
    MD5: 1b3d756e97bd37694b8682de4cf2437b
 
IA-32:
spamassassin-3.1.8-2.el5.i386.rpm
File outdated by:  RHBA-2013:1336
    MD5: 46f02b67cfc960bb5d870e53d2c160aa
 
x86_64:
spamassassin-3.1.8-2.el5.x86_64.rpm
File outdated by:  RHBA-2013:1336
    MD5: 464cc3d1cf3bc0ab2707e2dcb3b250da
 
(The unlinked packages above are only available from the Red Hat Network)

Bugs fixed (see bugzilla for more information)

228587 - CVE-2007-0451 Spamassassin DoS


References



These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from:
https://www.redhat.com/security/team/key/#package

The Red Hat security contact is secalert@redhat.com. More contact details at http://www.redhat.com/security/team/contact/